Subject: [bug#67260] [PATCH emacs-team v10 0/7] Preload most of the things

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 16 Feb 2024 16:09:58 +0100

Am Mittwoch, dem 14.02.2024 um 08:41 +0000 schrieb Suhail:
> So I wrote some code to make it easier to report on the state of
> native-comp for some of the packages previously mentioned (the *.eln
> files for these packages reside under the "preloaded" directory in a
> non-Guix distribution).  I'm including below both the contents of the
> script as well as the results.
> [...]
> With a non-Guix Emacs results in:
> 
> #+RESULTS:
> : [97/97] passed. Success!
> 
> Whereas with the latest patch-series it results in 41 failing cases:
> 
> #+RESULTS:
> #+begin_example
> [56/97] passed.  41 failing cases below:

With this series I get 94/97.  The remaining three don't appear to be
preloaded through the loadup script, so I have no idea how to catch them
or whether it's even worth doing so.

Liliana Marie Prikler (7):
  gnu: emacs: Wrap EMACSNATIVELOADPATH.
  gnu: emacs: Build trampolines.
  gnu: emacs: Don't hash file names in native compilation.
  gnu: emacs: Disable jit compilation.
  build-system: emacs: Compute relative file names.
  gnu: emacs-org: Fix native builds.
  gnu: emacs-magit: Fix native builds.

 gnu/local.mk                                  |   2 +
 gnu/packages/emacs-xyz.scm                    |  10 +-
 gnu/packages/emacs.scm                        |  21 +-
 .../emacs-disable-jit-compilation.patch       |  19 +
 .../emacs-native-comp-fix-filenames.patch     | 329 ++++++++++++++++++
 guix/build/emacs-utils.scm                    |   4 +-
 6 files changed, 379 insertions(+), 6 deletions(-)
 create mode 100644 gnu/packages/patches/emacs-disable-jit-compilation.patch
 create mode 100644 gnu/packages/patches/emacs-native-comp-fix-filenames.patch

base-commit: aae61f54ff6acf5cc0e0355dc85babf29f625660
-- 
2.41.0